<!doctype html>
<html>
<head>
  <title>Imaze resize</title>

  <script type="text/javascript" src="../external/vis.min.js"></script>

  <script type="text/javascript" src="../dist/hotdrink.js"></script>
  <script type="text/javascript" src="./image-scaling.js"></script>

  <style type="text/css">
    * { font-family: Verdana; }
    .floating-box {
    display: inline-block;
    width: 200px;
    height: 75px;
    margin: 0px;
    border: 1px solid white; 
    text-align: center;    
    }

    .after-box {
      width: 408px;
      text-align: center;
      border: 1px solid white;
    }    

    fieldset#image-resize input[type="text"] { width: 8ex; }
    fieldset#image-resize label { text-align: left;
    width: 130px;
    display: inline-block;    
    }​
  </style>
</head>
<body>

  <button onclick="thing()">CLICKME</button>
  <p>
    <fieldset id="image-resize" style="width: 408px;">
      <div class="floating-box">
        <label for="wi">Initial Width</label><input id="wi" type="text"></input><br>
        <label for="wa">Absolute Width</label><input id="wa" type="text"></input><br>
        <label for="wr">Relative Width</label><input id="wr" type="text"></input>
      </div>
      <div class="floating-box">
        <label for="hi">Initial Height</label><input id="hi" type="text"></input><br>
        <label for="ha">Absolute Height</label><input id="ha" type="text"></input><br>
        <label for="hr">Relative Height</label><input id="hr" type="text"></input>
      </div>
      <div class="after-box">
        <label for="ratio" style="width: 160px;">Keep aspect ratio</label><input id="ratio" type="checkbox"></input>
      </div>
    </fieldset>
    
</p>

  <div style="height: 400px" id="mynetwork"></div>


</body>
</html>
